package cn.iocoder.lyzsys.module.tjt.service.project;

import cn.iocoder.lyzsys.framework.common.pojo.PageResult;
import cn.iocoder.lyzsys.module.tjt.controller.admin.project.vo.ProjectPageReqVO;
import cn.iocoder.lyzsys.module.tjt.controller.admin.project.vo.ProjectRespVO;
import cn.iocoder.lyzsys.module.tjt.controller.admin.project.vo.ProjectSaveReqVO;

import java.util.List;

/**
 * 项目 Service 接口
 *
 * @author Codex
 */
public interface ProjectService {

    Long createProject(ProjectSaveReqVO createReqVO);

    void updateProject(ProjectSaveReqVO updateReqVO);

    void deleteProject(Long id);

    void deleteProjectList(List<Long> ids);

    PageResult<ProjectRespVO> getProjectPage(ProjectPageReqVO pageReqVO);

    ProjectRespVO getProject(Long id);

}
